config {
  doctype = html5
  metaCharset = UTF-8

  admPanel = {$threeme.enable.adminPanel}
  debug = {$threeme.enable.debug}

  absRefPrefix = {$threeme.enable.absRefPrefix}
  headerComment = {$threeme.enable.headerComment}

  # Security headers
  # https://jweiland.net/typo3/codebeispiele/allgemeines/security-headers-mit-typo3.html
  # Test your header settings -> https://securityheaders.io
  additionalHeaders {
    10.header = X-Frame-Options: SAMEORIGIN
    20.header = {$threeme.security.headerHSTS}
    30.header = X-Xss-Protection: 1; mode=block
    40.header = {$threeme.security.headerReferrerPolicy}
    50.header = X-Content-Type-Options: nosniff
  }

  intTarget = _top
  extTarget = _blank
  fileTarget = _blank

  sendCacheHeaders = 1
  cache_clearAtMidnight = 1

  typolinkCheckRootline = 1
  typolinkEnableLinksAcrossDomains = 1
  content_from_pid_allowOutsideDomain = 1

  spamProtectEmailAddresses = {$threeme.enable.spamProtectEmailAddresses}
  spamProtectEmailAddresses_atSubst = {$threeme.enable.spamProtectEmailAddresses_atSubst}
  spamProtectEmailAddresses_lastDotSubst = {$threeme.enable.spamProtectEmailAddresses_lastDotSubst}

  # Disable Image Upscaling
  noScaleUp = 1

  # Concate and compress only in applicationContext "production"
  compressJs = 0
  compressCss = 0
  concatenateJs = 0
  concatenateCss = 0
  minifyJs = 0
  minifyCSS = 0

  disablePrefixComment = 1
  inlineStyle2TempFile = 1
  removePageCss = {$threeme.enable.removePageCss}
  removeDefaultCss = {$threeme.enable.removeDefaultCss}
  removeDefaultJS = {$threeme.enable.removeDefaultJS}
  moveJsFromHeaderToFooter = {$threeme.enable.moveJsFromHeaderToFooter}
  prefixLocalAnchors = all

  # SEO minimal settings
  pageTitleFirst = 1
  pageTitleSeparator = -
  pageTitleSeparator.noTrimWrap = | | |
  meaningfulTempFilePrefix = 100

  # Disable global indexing, bind it to typeNum!
  index_enable = 0
  index_externals = 0
  index_metatags = 0

  # Enable RealURL
  tx_realurl_enable = {$threeme.enable.realurlEnable}

  # Language settings
  linkVars = L(1-99)
  uniqueLinkVars = 1
  sys_language_uid = 0
  language = {$threeme.language.sys_language}
  locale_all = {$threeme.language.sys_local_all}
  sys_language_isocode = {$threeme.language.sys_language_isocode}
  sys_language_overlay = {$threeme.language.sys_language_overlay}
  sys_language_mode = {$threeme.language.sys_language_mode}
  htmlTag_dir = {$threeme.language.htmlTag_dir}
}

# Example for multi-language configuration
[globalVar = GP:L = 1]
  config {
    sys_language_uid = 1
    language = en
    locale_all = en_EN.UTF8
    sys_language_isocode = en
  }
[GLOBAL]

[applicationContext = Production]
  config {
    debug = 0
    compressJs = 1
    compressCss = 1
    concatenateJs = 1
    concatenateCss = 1
    minifyJs = 1
    minifyCSS = 1
  }
[GLOBAL]
