page = PAGE
page {
  typeNum = 0
  shortcutIcon = {$threeme.frontend.shortcutIcon}

  # Disable global indexing, bind on typeNum!
  config.index_enable = {$threeme.enable.index_enable}
  config.index_externals = {$threeme.enable.index_externals}
  config.index_metatags = {$threeme.enable.index_metatags}

  # @TODO Compile CSS on your own using tools like "Compass". Take a look into Resources/Private/Sass/config.rb.
  # Alternative use third party extensions like "ws_scss" - see below ...
  includeCSS {
    website = {$threeme.enable.publicBasePath}/Styles/Frontend/styles-website.css
    website.forceOnTop = 1

    print = {$threeme.enable.publicBasePath}/Styles/Frontend/styles-print.css
    print.media = print
  }

  includeJSFooterlibs {
    # Enable CDN for jQuery if you want to, default jQuery is included locally
#    jQuery = {$threeme.framework.jQuery.cdn}/{$threeme.framework.jQuery.version}/jquery.min.js
#    jQuery.external = 1
#    jQuery.disableCompression = 1
#    jQuery.excludeFromConcatenation = 1
    jQuery = {$threeme.enable.publicBasePath}/JavaScript/Vendor/jQuery/jquery.min.js
    jQuery.forceOnTop = 1
  }

  includeJSFooter {
    bootstrapAffix = {$threeme.enable.publicBasePath}/JavaScript/Vendor/Bootstrap/affix.js
    bootstrapTransition = {$threeme.enable.publicBasePath}/JavaScript/Vendor/Bootstrap/transition.js
    bootstrapCollapse = {$threeme.enable.publicBasePath}/JavaScript/Vendor/Bootstrap/collapse.js
    bootstrapCarousel = {$threeme.enable.publicBasePath}/JavaScript/Vendor/Bootstrap/carousel.js

    fancybox = {$threeme.enable.publicBasePath}/JavaScript/Vendor/Fancybox/jquery.fancybox.js
    plyr = {$threeme.enable.publicBasePath}/JavaScript/Vendor/Plyr/plyr.js
    cookiebar = {$threeme.enable.publicBasePath}/JavaScript/Vendor/Cookiebar/jquery.cookieBar.js

    website = {$threeme.enable.publicBasePath}/JavaScript/Frontend/jquery.threeme.js
  }

  20 < lib.threemeFluidTemplate
}


# Compile your CSS dynamically with third party extensions like "ws_scss".
# Refer documentation of your preferred extension - the code below is related to EXT:ws_scss.
[globalVar = LIT:0 < {$threeme.enable.useSassExt}]
  page {
    includeCSS >
    includeCSS {
      website = {$threeme.enable.privateBasePath}/Sass/styles-frontend.scss
      website.outputdir = {$threeme.enable.publicBasePath}/Styles/Frontend
      # Output format: Expanded, Nested, Compressed, Compact, Crunched
      website.formatter = Leafo\ScssPhp\Formatter\Nested
      website.linenumber = true
      website.sourceMap = true

      print = {$threeme.enable.privateBasePath}/Sass/styles-print.scss
      print.outputdir = {$threeme.enable.publicBasePath}/Styles/Frontend
      print.formatter = Leafo\ScssPhp\Formatter\Nested
      print.linenumber = true
      print.sourceMap = true
      print.media = print
    }
  }
[global]


# RTE CSS
# When compiling your CSS by a third party extension like "ws_scss", only files in page.includeCSS are respected.
# This workarround will add the RTE Sass file to page.includeCSS too, so it being compiled like any other file.
# RTE.default.contentCSS includes the compiled Sass file from EXT:threeme/Resources/Public/Styles/Frontend/styles-rte.css.
#
# Hint:
# If you have activated "compileRteCssFromSass", be sure your Frontend is uncached and the RTE CSS is included correctly.
# In some cases third party compiler like "ws_scss" don't generate the "styles-rte.css" in EXT:threeme/Resources/Public/Styles/Frontend/ by default.
# It's because there a no changes to the related SASS "_styles-rte.scss". Edit this file, write some garbage, save and reload the Frontend.
# The SASS compiler will throw an error, so you know it's working right now. Remove your trash from "_styles-rte.scss" and
# reload the Frontend again. Now everything is fine and the compiler will generate the "styles-rte.css".
[globalVar = LIT:0 < {$threeme.enable.compileRteCssFromSass}]
  page {
    includeCSS {
      rte = {$threeme.enable.privateBasePath}/Sass/styles-rte.scss
      rte.forceOnTop = 1
      rte.outputdir = {$threeme.enable.publicBasePath}/Styles/Frontend
      rte.formatter = Leafo\ScssPhp\Formatter\Nested
      rte.linenumber = true
      rte.sourceMap = true
    }
  }
[global]


# Prepare SASS parser for production environment.
[applicationContext = Production] && [globalVar = LIT:0 < {$threeme.enable.useSassExt}]
  page {
    includeCSS {
      website.formatter = Leafo\ScssPhp\Formatter\Crunched
      website.linenumber = false
      website.sourceMap = false
      print.formatter = Leafo\ScssPhp\Formatter\Crunched
      print.linenumber = false
      print.sourceMap = false
      rte >
    }
  }
[global]


# Add website analytics only in production environment and only if it's enabled.
[applicationContext = Production] && [globalVar = LIT:0 < {$threeme.analytics.trackingEnable}]
  page {
    jsInline {
      # Google analytics tracking
      200 = COA
      200 {
        # Opt-out cookie
        10 = TEXT
        10.value (
                    var gaProperty = '{$threeme.analytics.trackingCode}';
                    var disableStr = 'ga-disable-' + gaProperty;
                    if (document.cookie.indexOf(disableStr + '=true') > -1) {
                        window[disableStr] = true;
                    }
                    function gaOptout() {
                        document.cookie = disableStr + '=true; expires=Thu, 31 Dec 2099 23:59:59 UTC; path=/';
                        window[disableStr] = true;
                    }
        )
        # Tracklet
        20 = TEXT
        20.value (
          (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
          (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
          m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
          })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

          ga('create', '{$threeme.analytics.trackingCode}', 'auto');
          ga('require', 'linkid', 'linkid.js');
          ga('require', 'displayfeatures');
          ga('set', 'anonymizeIp', true);
          ga('send', 'pageview');
        )

        if {
          value = {$threeme.analytics.trackingService}
          equals = google
        }
      }

      # PIWIK analytics tracking
      220 = COA
      220 {
        # Tracklet
        10 = TEXT
        10.value (
          var _paq = _paq || [];
          _paq.push(["setDomains", ["*.{$threeme.analytics.trackingDomain}"]]);
          _paq.push(['trackPageView']);
          _paq.push(['enableLinkTracking']);
          _paq.push(['enableHeartBeatTimer', 5]);
          (function() {
            var u="//{$threeme.analytics.trackingDomain}/piwik/";
            _paq.push(['setTrackerUrl', u+'js/']);
            _paq.push(['setSiteId', '{$threeme.analytics.trackingCode}']);
            var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
            g.type='text/javascript'; g.async=true; g.defer=true; g.src=u+'js/'; s.parentNode.insertBefore(g,s);
          })();
        )

        if {
          value = {$threeme.analytics.trackingService}
          equals = piwik
        }
      }
    }

    # Noscript tracking BEFORE FLUID template @ page.20
    10 = COA
    10 {
      # PIWIK analytics tracking, noscript
      220 = COA
      220 {
        10 = TEXT
        10.value = <img src="//{$threeme.analytics.trackingDomain}/piwik/piwik.php?idsite={$threeme.analytics.trackingCode}" style="border:0;" alt="" />
        10.wrap = <noscript><p>|</p></noscript>

        if {
          value = {$threeme.analytics.trackingService}
          equals = piwik
        }
      }
    }
  }
[global]
