# TypoScript based XML sitemap for search engines, includes pages and EXT:news.
# URL: https://www.your-domain.tld/sitemap.xml, see EXT:realurl configuration.
threemeSitemap = PAGE
threemeSitemap {
  typeNum = 20180115

  config {
    admPanel = 0
    debug = 0
    no_cache = 1
    xhtml_cleaning = none
    disablePrefixComment = 1
    disableAllHeaderCode = 1
    additionalHeaders.10.header = Content-Type:text/xml;charset=utf-8
  }

  wrap (
    <?xml version="1.0" encoding="UTF-8"?>
    <urlset
        xmlns="http://www.google.com/schemas/sitemap/0.84"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemalocation="http://www.google.com/schemas/sitemap/0.84 http://www.google.com/schemas/sitemap/0.84/sitemap.xsd
    ">|</urlset>
  )

  # Pages
  10 = COA
  10 {
    10 = HMENU
    10 {
      special = list
      special.value = {$threeme.frontend.pidRoot}

      # 1 = Standard page
      # 2 = Extended page
      # 3 = External page
      # 4 = Shortcut
      # 5 = Hide in menu
      # 6 = Backend User Section
      # 7 = Mount Point
      # 199 = Menu separator
      # 254 = Sysfolder
      # 255 = Recycler
      excludeDoktypes = 5,6,199,254,255

      1 = TMENU
      1 {
        expAll = 1
        NO {
          doNotLinkIt = 1
          stdWrap {
            cObject = COA
            cObject {
              wrap = <url>|</url>
              10 = TEXT
              10 {
                typolink {
                  parameter.field = uid
                  returnLast = url
                  forceAbsoluteUrl = 1
                }

                wrap = <loc>|</loc>
              }

              20 = TEXT
              20 {
                field = SYS_LASTCHANGED
                strftime = %Y-%m-%dT%H:%M:%SZ
                wrap = <lastmod>|</lastmod>
              }

              30 = TEXT
              30.value = <priority>1.0</priority>
              if.isFalse.field = shortcut
            }
          }
        }
      }

      2 < .1
      2.NO.stdWrap.cObject.30.value = <priority>0.9</priority>
      3 < .1
      3.NO.stdWrap.cObject.30.value = <priority>0.8</priority>
      4 < .1
      4.NO.stdWrap.cObject.30.value = <priority>0.7</priority>
      5 < .1
      5.NO.stdWrap.cObject.30.value = <priority>0.6</priority>
      6 < .1
      6.NO.stdWrap.cObject.30.value = <priority>0.5</priority>
      7 < .6
      8 < .6
      9 < .6
      10 < .6
    }

    # EXT:News
    20 = CONTENT
    20 {
      table = tx_news_domain_model_news
      select {
        pidInList = {$threeme.frontend.pidNews}
        recursive = 1
        selectFields = uid,pid,tstamp,sys_language_uid,l10n_parent
        orderBy = tstamp DESC
        max = 100
        languageField = sys_language_uid
        where = type=0
      }

      renderObj = COA
      renderObj {
        stdWrap.wrap = <url>|</url>

        10 = TEXT
        10 {
          wrap = <loc>|</loc>

          typolink {
            parameter = {$threeme.frontend.pidNewsDetail}
            returnLast = url
            forceAbsoluteUrl = 1

            additionalParams.cObject = COA
            additionalParams.cObject {
              # @TODO Comment in when you take use of date params, see postVarSets in EXT:realurl configuration, too!
              /*
              10 = TEXT
              10 {
                field = datetime
                strftime = %d
                wrap = &tx_news_pi1[day]=|
              }
              20 = TEXT
              20 {
                field = datetime
                strftime = %m
                wrap = &tx_news_pi1[month]=|
              }
              30 = TEXT
              30 {
                field = datetime
                strftime = %Y
                wrap = &tx_news_pi1[year]=|
              }
              */
              40 = TEXT
              40 {
                field = uid
                wrap = &tx_news_pi1[news]=|
              }
            }
          }
        }

        20 = TEXT
        20 {
          field = tstamp
          strftime = %Y-%m-%dT%H:%M:%SZ
          wrap = <lastmod>|</lastmod>
        }

        30 = TEXT
        30.value = <priority>0.7</priority><changefreq>weekly</changefreq>
      }
    }
  }
}
