<?php
$GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['realurl'] = [
    '_DEFAULT' => [
        'init' => [
            'appendMissingSlash' => 'ifNotFile,redirect',
            'emptyUrlReturnValue' => '/',
            'emptySegmentValue' => 'argument',
        ],
        'cache' => [
            'banUrlsRegExp' => '/tx_solr|tx_indexedsearch|(?:^|\?|&)q=|tx_indexedsearch_pi2\[/',
        ],
        'pagePath' => [
            'spaceCharacter' => '-',
            'rootpage_id' => 1,
        ],
        'fileName' => [
            # Define page suffix, see
            # https://github.com/dmitryd/typo3-realurl/wiki/Configuration-reference#defaulttohtmlsuffixonprev
            'defaultToHTMLsuffixOnPrev' => '.html',
            'index' => [
                # TypoScript based XML sitemap for search engines
                'sitemap.xml' => [
                    'keyValues' => [
                        'type' => 20180115,
                    ],
                ],
                # EXT:news feed
                'news.xml' => [
                    'keyValues' => [
                        'type' => 300,
                    ],
                ],
            ],
        ],
        'preVars' => [
            # Language configuration, see
            # https://github.com/dmitryd/typo3-realurl/wiki/Notes-for-Integrators#configuring-languages
            [
                'GETvar' => 'L',
                'valueMap' => [
                    'en' => '1',
                ],
                'noMatch' => 'bypass',
            ],
            # Parameter 'no_cache' rewrite
            [
                'GETvar' => 'no_cache',
                'valueMap' => [
                    'nc' => '1',
                ],
                'noMatch' => 'bypass',
            ],
        ],
        'postVarSets' => [
            '_DEFAULT' => [
                # EXT:indexed_search
                'suchergebnisse' => [
                    [
                        'GETvar' => 'tx_indexedsearch_pi2[controller]',
                        'valueMap' => [
                            'ergebnis' => 'Search',
                        ],
                    ],
                ],

                # EXT:news detail page
                'artikel' => [
                    [
                        'GETvar' => 'tx_news_pi1[news]',
                        'lookUpTable' => [
                            'table' => 'tx_news_domain_model_news',
                            'id_field' => 'uid',
                            'alias_field' => 'title',
                            'addWhereClause' => ' AND NOT deleted',
                            'useUniqueCache' => 1,
                            'useUniqueCache_conf' => [
                                'strtolower' => 1,
                                'spaceCharacter' => '-',
                            ],
                            'languageGetVar' => 'L',
                            'languageExceptionUids' => '',
                            'languageField' => 'sys_language_uid',
                            'transOrigPointerField' => 'l10n_parent',
                            'autoUpdate' => 1,
                            'expireDays' => 180,
                        ],
                    ],

                    # Comment out params 'action' and 'controller' if you activated 'skipControllerAndAction' in EXT:news setup
                    [
                        'GETvar' => 'tx_news_pi1[action]',
                    ],
                    [
                        'GETvar' => 'tx_news_pi1[controller]',
                    ],

                    # Comment in 'date' params if you activated 'hrDate' in EXT:news setup
#                    3 => [
#                        'GETvar' => 'tx_news_pi1[day]',
#                    ],
#                    4 => [
#                        'GETvar' => 'tx_news_pi1[month]',
#                    ],
#                    5 => [
#                        'GETvar' => 'tx_news_pi1[year]',
#                    ],
                ],

                # EXT:news date filter
                'artikelzeitraum' => [
                    [
                        'GETvar' => 'tx_news_pi1[overwriteDemand][year]',
                    ],
                    [
                        'GETvar' => 'tx_news_pi1[overwriteDemand][month]',
                    ],
                ],

                # EXT:news category menu
                'artikelkategorie' => [
                    [
                        'GETvar' => 'tx_news_pi1[overwriteDemand][categories]',
                        'lookUpTable' => [
                            'table' => 'sys_category',
                            'id_field' => 'uid',
                            'alias_field' => 'title',
                            'addWhereClause' => ' AND NOT deleted',
                            'useUniqueCache' => 1,
                            'useUniqueCache_conf' => [
                                'strtolower' => 1,
                                'spaceCharacter' => '-'
                            ],
                        ],
                    ],
                ],

                # EXT:news tags
                'tag' => [
                    [
                        'GETvar' => 'tx_news_pi1[overwriteDemand][tags]',
                        'lookUpTable' => [
                            'table' => 'tx_news_domain_model_tag',
                            'id_field' => 'uid',
                            'alias_field' => 'title',
                            'addWhereClause' => ' AND NOT deleted',
                            'useUniqueCache' => 1,
                            'useUniqueCache_conf' => [
                                'strtolower' => 1,
                                'spaceCharacter' => '-'
                            ],
                        ],
                    ],
                ],

                # EXT:news page browser
                'artikelseite' => [
                    [
                        'GETvar' => 'tx_news_pi1[@widget_0][currentPage]',
                    ],
                ],
            ],
        ],
    ],
];

# Multiple domain configuration
# $GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['realurl']['www.domain.tld'] = $TYPO3_CONF_VARS['EXTCONF']['realurl']['_DEFAULT'];
# $GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['realurl']['www.domain.tld']['pagePath']['rootpage_id'] = PID;
